Get summarized daily Hours of Service charts for the specified drivers.
The time range for a log is defined by the driver’s eldDayStartHour. This value is configurable per driver.
The startDate and endDate parameters indicate the date range you’d like to retrieve daily logs for. A daily log will be returned if its startTime is on any of the days within in this date range (inclusive of startDate and endDate).
Note: If data is still being uploaded from the Samsara Driver App, it may not be completely reflected in the response from this endpoint. The best practice is to wait a couple of days before querying this endpoint to make sure that all data from the Samsara Driver App has been uploaded.
If you are using the legacy version of this endpoint and looking for its documentation, you can find it here.
Rate limit: 5 requests/sec (learn more about rate limits here).
To use this endpoint, select Read ELD Compliance Settings (US) under the Compliance category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request GET \
--url https://api.samsara.com/fleet/hos/daily-logs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"driver": {
"id": "45646",
"name": "Driver Bob",
"eldSettings": {
"rulesets": [
{
"break": "Explosives/HazMat (on-duty)",
"cycle": "USA 60 hour / 7 day",
"jurisdiction": "AR",
"restart": "34-hour Restart",
"shift": "US Interstate Property"
}
]
},
"externalIds": {},
"timezone": "America/Los_Angeles"
},
"endTime": "2019-06-20T19:08:25Z",
"startTime": "2019-06-13T19:08:25Z",
"distanceTraveled": {
"driveDistanceMeters": 796625,
"personalConveyanceDistanceMeters": 27358,
"yardMoveDistanceMeters": 1287
},
"dutyStatusDurations": {
"activeDurationMs": 38825000,
"driveDurationMs": 31970000,
"offDutyDurationMs": 20555000,
"onDutyDurationMs": 5423000,
"personalConveyanceDurationMs": 4358000,
"sleeperBerthDurationMs": 27020000,
"waitingTimeDurationMs": 1560000,
"yardMoveDurationMs": 1432000
},
"logMetaData": {
"adverseDrivingClaimed": true,
"bigDayClaimed": false,
"carrierFormattedAddress": "1990 Alameda Street, San Francisco, CA 94103",
"carrierName": "Carrier Name",
"carrierUsDotNumber": 1234,
"certifiedAtTime": "2020-01-01T06:00:00Z",
"homeTerminalFormattedAddress": "1990 Alameda Street, San Francisco, CA 94103",
"homeTerminalName": "Home Terminal Name",
"isCertified": true,
"isUsShortHaulActive": true,
"shippingDocs": "Delivery 123, chips and soda",
"trailerNames": [
"10293",
"Trailer ID 1"
],
"vehicles": [
{
"assetType": "vehicle",
"externalIds": {},
"id": "494123",
"licensePlate": "6SAM123",
"name": "Fleet Truck #1",
"vehicleVin": "1GBJ6P1B2HV112765"
}
]
},
"pendingDutyStatusDurations": {
"activeDurationMs": 38825000,
"driveDurationMs": 31970000,
"offDutyDurationMs": 20555000,
"onDutyDurationMs": 5423000,
"personalConveyanceDurationMs": 4358000,
"sleeperBerthDurationMs": 27020000,
"waitingTimeDurationMs": 1560000,
"yardMoveDurationMs": 1432000
}
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A filter on the data based on this comma-separated list of driver IDs and externalIds. Example: driverIds=1234,5678,payroll:4841
A start date in YYYY-MM-DD. This is a date only without an associated time. Example: 2019-06-13. This is a required field
An end date in YYYY-MM-DD. This is a date only without an associated time. Must be greater than or equal to the start date. Example: 2019-07-21. This is a required field
A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678
A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678
If value is deactivated, only drivers that are deactivated will appear in the response. This parameter will default to active if not provided (fetching only active drivers). Valid values: active, deactivated
active, deactivated If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
Expands the specified value(s) in the response object. Expansion populates additional fields in an object, if supported. Unsupported fields are ignored. To expand multiple fields, input a comma-separated list.
Valid value: vehicle Valid values: vehicle
vehicle curl --request GET \
--url https://api.samsara.com/fleet/hos/daily-logs \
--header 'Authorization: Bearer <token>'{
"data": [
{
"driver": {
"id": "45646",
"name": "Driver Bob",
"eldSettings": {
"rulesets": [
{
"break": "Explosives/HazMat (on-duty)",
"cycle": "USA 60 hour / 7 day",
"jurisdiction": "AR",
"restart": "34-hour Restart",
"shift": "US Interstate Property"
}
]
},
"externalIds": {},
"timezone": "America/Los_Angeles"
},
"endTime": "2019-06-20T19:08:25Z",
"startTime": "2019-06-13T19:08:25Z",
"distanceTraveled": {
"driveDistanceMeters": 796625,
"personalConveyanceDistanceMeters": 27358,
"yardMoveDistanceMeters": 1287
},
"dutyStatusDurations": {
"activeDurationMs": 38825000,
"driveDurationMs": 31970000,
"offDutyDurationMs": 20555000,
"onDutyDurationMs": 5423000,
"personalConveyanceDurationMs": 4358000,
"sleeperBerthDurationMs": 27020000,
"waitingTimeDurationMs": 1560000,
"yardMoveDurationMs": 1432000
},
"logMetaData": {
"adverseDrivingClaimed": true,
"bigDayClaimed": false,
"carrierFormattedAddress": "1990 Alameda Street, San Francisco, CA 94103",
"carrierName": "Carrier Name",
"carrierUsDotNumber": 1234,
"certifiedAtTime": "2020-01-01T06:00:00Z",
"homeTerminalFormattedAddress": "1990 Alameda Street, San Francisco, CA 94103",
"homeTerminalName": "Home Terminal Name",
"isCertified": true,
"isUsShortHaulActive": true,
"shippingDocs": "Delivery 123, chips and soda",
"trailerNames": [
"10293",
"Trailer ID 1"
],
"vehicles": [
{
"assetType": "vehicle",
"externalIds": {},
"id": "494123",
"licensePlate": "6SAM123",
"name": "Fleet Truck #1",
"vehicleVin": "1GBJ6P1B2HV112765"
}
]
},
"pendingDutyStatusDurations": {
"activeDurationMs": 38825000,
"driveDurationMs": 31970000,
"offDutyDurationMs": 20555000,
"onDutyDurationMs": 5423000,
"personalConveyanceDurationMs": 4358000,
"sleeperBerthDurationMs": 27020000,
"waitingTimeDurationMs": 1560000,
"yardMoveDurationMs": 1432000
}
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}